"use strict";

var Prism = require(`prismjs`);
var _ = require(`lodash`);

module.exports = function (language, code) {
  var lineNumbersHighlight = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : [];

  // (Try to) load languages on demand.
  if (!Prism.languages[language]) {
    try {
      require(`prismjs/components/prism-${language}.js`);
    } catch (e) {
      // Language wasn't loaded so let's bail.
      return code;
    }
  }

  var lang = Prism.languages[language];

  var highlightedCode = Prism.highlight(code, lang);
  if (lineNumbersHighlight) {
    highlightedCode = highlightedCode.split(`\n`).map(function (split, i) {
      if (_.includes(lineNumbersHighlight, i + 1)) {
        return `<span class="highlight-code-line">${split}</span>`;
      } else {
        return split;
      }
    }).join(`\n`);
  }

  return highlightedCode;
};