"use strict";

var visit = require(`unist-util-visit`);

var parseLineNumberRange = require(`./parse-line-number-range`);
var highlightCode = require(`./highlight-code`);

module.exports = function (_ref) {
  var markdownAST = _ref.markdownAST;

  visit(markdownAST, `code`, function (node) {
    var language = node.lang;

    var _parseLineNumberRange = parseLineNumberRange(language),
        splitLanguage = _parseLineNumberRange.splitLanguage,
        highlightLines = _parseLineNumberRange.highlightLines;

    language = splitLanguage;

    if (language) {
      language = language.toLowerCase();
    }

    node.data = {
      hChildren: [{
        type: `raw`,
        value: highlightCode(language, node.value, highlightLines)
      }]
    };
  });
};